%define debug_package %{nil}

Summary:	Crunch - Generate wordlists from a character set
Packager:	Lawrence R. Rogers (lrr@cert.org)
Vendor:		cert.org
Name:		crunch
Version:	3.6
Release:	1%{?dist}
URL:		https://sourceforge.net/projects/crunch-wordlist/
License:	GPL
Group:		Applications/Forensics Tools
Source:		%{name}-%{version}.tgz

BuildRoot:	%{_tmppath}/rpm-root-%{name}-v%{version}
BuildRequires:	gcc

%description
Crunch can create a wordlist based on criteria you specify.  The outout
from crunch can be sent to the screen, file,  or  to  another  program.
The required parameters are:

min-len
      The  minimum  length  string  you want crunch to start at.  This
      option is required even for parameters that won’t use the value.

max-len
      The  maximum  length  string  you  want  crunch to end at.  This
      option is required even for parameters that won’t use the value.

charset string
      You  may specify character sets for crunch to use on the command
      line or if you leave it blank crunch will use the default  char-
      acter sets.  The order MUST BE lower case characters, upper case
      characters, numbers, and then symbols.  If you don’t follow this
      order  you  will not get the results you want.  You MUST specify
      either values for the character type or a plus sign.   NOTE:  If
      you  want  to  include the space character in your character set
      you must escape it using the \ character or enclose your charac-
      ter  set in quotes i.e. "abc ".  See the examples 3, 11, 12, and
      13 for examples.

%prep
%setup 

%build
%{__make} CFLAGS="-Wno-stringop-truncation -Wno-stringop-overflow -Wno-size-of-pointer-memaccess" LFS=''

%install
%make_install INSTALL="%{__install} -p" INSTALL_OPTIONS="" DESTDIR=%{buildroot}
rm -rf %{buildroot}/%{_docdir}

%clean
%{__rm} -rf %{buildroot}

%files
%doc COPYING
%attr(755, root, root)	%{_bindir}/%{name}
%attr(644, root, root)	%{_mandir}/man1/%{name}.1*
%attr(644, root, root)	%{_datadir}/%{name}/charset.lst

%changelog
* Fri Feb 8 2019 Lawrence R. Rogers <lrr@cert.org> 3.6-1
* Release 3.6-1
	Initial release
